seo:
  title: You contributed 1 million merge requests in a month!
  description: >-
    GitLab.com surpassed 1 million merge requests in March 2019, hitting a new
    record for monthly engagement.
  ogTitle: You contributed 1 million merge requests in a month!
  ogDescription: >-
    GitLab.com surpassed 1 million merge requests in March 2019, hitting a new
    record for monthly engagement.
  noIndex: false
  ogImage: images/blog/hero-images/1m-merge-requests-cover.png
  ogUrl: https://about.gitlab.com/blog/1-mil-merge-requests
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/1-mil-merge-requests
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "You contributed 1 million merge requests in a month!",
            "author": [{"@type":"Person","name":"Sara Kassabian"}],
            "datePublished": "2019-06-06",
          }

content:
  title: You contributed 1 million merge requests in a month!
  description: >-
    GitLab.com surpassed 1 million merge requests in March 2019, hitting a new
    record for monthly engagement.
  authors:
    - Sara Kassabian
  heroImage: images/blog/hero-images/1m-merge-requests-cover.png
  date: '2019-06-06'
  body: >


    While the open source community comes together this week to celebrate the
    [fifth anniversary of
    Kubernetes](https://www.eventbrite.com/e/kubernetes-5th-anniversary-celebration-tickets-62064099392?aff=ebdssbdestsearch),
    at GitLab, we've hit a milestone of our own 🎉


    GitLab.com received a record **1 million merge requests** (MRs) in March
    2019, the largest number of monthly MRs since the project began. The
    increase in engagement continued through April, when another million MRs
    were created. There was a 17% spike in the number of merge requests between
    February and March 2019 – a significant increase in engagement.


    The amount of monthly MR activity has outpaced the number of active monthly
    users on GitLab.com. In fact, the number of new MRs per active user has
    increased by 40% year-over-year (May 2019 vs. May 2018). The primary driver
    of this spike is MRs in private projects on GitLab.com, indicating there is
    opportunity to increase the wider community's engagement in public projects.


    ## Everyone can contribute


    We built GitLab so [everyone can contribute](/company/mission/#mission)! We
    regularly receive MRs from software developers, project managers, and
    writers (like me!) pertaining to different private and public projects.


    GitLab may be a DevOps tool, but these MRs are in no way limited to
    developer activities. GitLab was designed so contributors can collaborate on
    projects, taking an idea from the conceptual to the actionable through a
    series of iterative changes. These 1 million MRs in March 2019 don’t all
    represent monumental changes to GitLab. Instead, they represent a million
    different ways the community has contributed to GitLab.


    "Our [ambitious, shared vision](/direction/#vision) to make it easier and
    faster to innovate with a [single
    application](/handbook/product/single-application/) is only achievable with
    the support of the wider community," says Jeremy Watson, senior product
    manager for the Manage team at GitLab. "We can't do it alone; we're happy to
    welcome first-time contributors, and [members of the community can help in a
    variety of ways](/community/contribute/) – even if you're not comfortable
    with contributing with code."


    "We've had about 40-50 new contributors in the past six to seven releases,"
    adds Ray Paik, code contributor program manager. "These are first-time
    contributors who had their MRs merged."


    We see MRs that span highly technical topics, such as executing on our
    [monitoring product roadmap](/direction/monitor/), to MRs that are more
    operational, such as making improvements to the GitLab onboarding process. A
    lot of first-time contributors start by making improvements to our
    documentation, which doesn't involve writing code at all. There's also [more
    to contributing than submitting
    MRs](/blog/2019/05/07/how-do-you-contribute/)!


    So whether you spot a typo in the [GitLab handbook](/handbook/), or want to
    [contribute to our documentation](/community/contribute/), start a
    conversation with us and open an issue or submit an MR today.
  category: Open Source
  tags:
    - community
    - open source
config:
  slug: 1-mil-merge-requests
  featured: false
  template: BlogPost
